<?

/* CONFIGURATION FOR MWCHAT */

/* Begin Database Configuration */

$error_reporting = "10000";

/* The database host setting is the dns name or ip address of the MySQL server.
   It is STRONGLY reccomended that the MySQL server be on the same machine
   as the webserver. This stops the possibility of lag between refreshes. */

$CONFIG[Database_Host] = "";

/* The database name setting is the name of the database you setup in MySQL.
   If you used the MySQL.tables command(See INSTALL file) then the default
   database name is MWChat, and is already set below. If you would like to
   name the database differently, you can edit the MySQL.tables file and
   change the first line where it says MWChat when setting up the database.*/

$CONFIG[Database_Name] = "";

/* The database username setting is the username that has access to the newly created
   database $CONFIG[Database][Name].  This user must be added to MySQL and have permissions
   to select, insert, update, create, delete, and drop. See the MySQL manual for help. */

$CONFIG[Database_Username] = "";

/* The database password setting is the password for the username you added above.
   See the MySQL manual for help. */

$CONFIG[Database_Password] = "";

/* The database encryption setting is a very powerfull option. In some cases MySQL can be setup in log mode, which logs every
   connection and query to the database. This gives admins of the MySQL database the ablity to see all querys, which include 
   chat conversations. To secure the privacy of others, we've added this feature to encrypt the chat conversations before they
   enter the database and unencrypts them after they are pulled from the database. In order to make use of this feature, you 
   MUST have libmcrypt(http://mcrypt.hellug.gr/) installed and compiled into PHP4(http://www.php.net). Should you enable this
   feature, you may notice a small speed difference. Make sure that MWChat is not in use by any users while turning
   this feature on, or their messages will suddenly looked garbled. Once you turn this on, it is reccomended you empty the table
   Chat_Data in your MySQL database.  The command to do so is: delete from Chat_Data;  A value of <true> activates this
   feature, anything else will not. */

$CONFIG[Database_Encryption] = "false";

/* End Database Configuration */
/* Begin Administrative Configuration */


/* The admin users setting is a list of administrative usernames and passwords. Users listed here
   are automatically given operator privledges upon entrance into a chat room. It is a good idea to
   have the user "admin", "administrator", and "moderator" names listed here so that not just anyone can 
   login as them. If you have a custom username you would like to use, you can add that here to. The 
   format is user:password. It is important to know that when you login, you must login with 
   username:password at the MWChat login screen. Remeber that the users you add to this are NOT registered,
   so if you have the registering ablity command set to true, then you want to take a few moments to login 
   as each admin user, and use the /register command to register those names as well. Usernames are not case sensitive,
   while passwords are. Please use *only* alpha-numeric passwords. */

$CONFIG[Admin_Usernames] = array("moderator:MoDeRaToRPaSsWoRd", "admin:AdMiNPaSsWoRd", "administrator:AdMiNPaSsWoRd");

/* The http setting allows you to choose if your using https(ssl enabled sites) or just standard http
   This settign shoudl be either https or http                                                      */

$CONFIG[Admin_HTTP] = "http";

/* The profantiy allow setting lets you block a specified list words from showing up in the chat room. This
   is usefull for sites that have underage chatters.  A value of <false> activates this feature, anything else
   will not. */

$CONFIG[Admin_Profanity_Allow] = "false";

/* The profanity list setting is a list of words that should be blocked when $CONFIG[Admin][Profanity][Allow]  is set to false.
   A default list of words are already listed. Remeber that by blocking "ass" you will also block "assasin".
   To fix this use "ass " with a trailing space. Blocked words are turned into %!@$ */

$CONFIG[Admin_Profanity_Words] = array("fuck", "bitch", "whore", "pussy", "dick", "cock", "cunt", "damn ", "dammit", "shit", " ass ", "penis");

/* The allow HTML setting is a very important one. This should be set to false, unless you want chat users
   to be able to input html and javascript tags into the chatroom. This setting is off by default due to the fact
   that javascript/html attacks are possible. A value of <true> activates this feature, anything else will not. */


$CONFIG[Admin_HTML_Allow] = "false"; 

/* The allow force setting automatically allows admins to login into the chat room. Because MWChat is java free, there is no
   direct way to know if a user logged out, unless they actually click the logout link. This option, when enabled, allows admins
   specified in $CONFIG[Admin][Usernames] to login the chat at anytime, even if they forgot to logout. A value of <true>
   activates this feature, anything else will not. */

$CONFIG[Admin_Force_Allow] = "true";

/* The view private rooms setting allows admins listed in $CONFIG[Admin][Usernames] to see a drop down list of all private rooms.
   When an admin logs in, at the choose a room screen next to the "Enter Private Room" button will appear a drop down
   list of all current private rooms. This is STRICTLY and administrative feature.  A value of <true> activates this
   feature, anything else will not. */

$CONFIG[Admin_Rooms_Private_Allow] = "true";

/* The language allow setting lets you activate support for locales, or multiple languages. Remember that only MWChat's
   text will be available in the language you choose. Users chatting can still speak whatever language they like. The DEFAULT
   language is english, if this feature is not activated, only the default language will be available. A value of <true> activates this 
   feature, anything else will not. */

$CONFIG[Admin_Lang_Allow] = "true";

/* The language types setting lets you specify which languges are available. Usually this setting need not be adjusted. MWChat
   developers will update as new translations are available. If you wish to add a translation, read the README file located in
   the modules/locales directory. */

$CONFIG[Admin_Lang_Types] =  array("en:English", "de:Deutsch", "es:Espaol", "fi:Suomi", "fr:Fran&ccedil;ais", "it:Italiano", "pt-BR:Portugu&ecirc;s Brasileiro", "sk:Slovensky");

/* The language default setting lets you choose your default language. This abbreviation is derrived from the setting above, 
   everything before the colon. So if I wanted spanish as the default language, I would use "es". Remember that only MWChat's 
   text will be available in the language you choose. Users chatting can still speak whatever language they like.  */

$CONFIG[Admin_Lang_Default] = "en";

/* The cache/proxy setting if for admins running this chat behind caching servers or some types of proxies. When this feature is
   enabled, MWChat sends pragma-nocache headers. If you are unsure of weather or not your behind a proxy or cache, leave this option off.
   A value of <true> activates this feature,  anything else will not. */

$CONFIG[Admin_Cache_Proxy] = "true";

/* End Administrative Configuration */
/* Begin Chat Configuration */


/* The log setting logs all logins to MWChat. The loggin feature logs ip's, username's, timestamps, and all of the users 
   envoirment vars. Should you have any trouble makers in your chat room, this may help to take care of them. A value of
   <true> activates this feature, anything else will not. */

$CONFIG[Chat_Logging_Allow] = "true";

/* The motd setting displays the message of the day(MOTD) each time a user logs in. This option is commonly used for instructional
   purposes.  A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_MOTD_Allow] = "true";

/* The motd file setting is the name of the file that keeps the MOTD information. This file
   can be dynamically generated each day if you so choose. Remember to keep this file short.
   Usually 6 lines or less is ok, more than 6 lines will cause smaller resolutions to not see
   the entire MOTD. It's best to put this info in the root of the MWChat dir. */

$CONFIG[Chat_MOTD_File] = "./MOTD";

/* The refresh meta setting is the number of seconds to pause before the meta refreshes that chat window.
   The reccomended value is 5 seconds. Chat users can use the /refresh command to update this value.  
   The value below is in seconds. */

$CONFIG[Chat_Refresh_Meta] = "5";

/* The default room setting is the name of the default room to always be available. If there are no other public
   rooms created upon login, the default room will appear. */

$CONFIG[Chat_Rooms_Default] = "MWChat Beta";

/* The room expire settings are very important. These times you specify dictate how long to keep an "idle" login
   in the database. First, an idle login is a login that does not have any activity for a period of time. The chat
   is stateless, meaning that we have no idea when a user just isnt typing and has the broswer window open, and when 
   a user just closed there browser without clicking the logout button. Either way they will still appear as logged in.
   So say another uses wishes to login as that same user who logged in yesterday, they can't because we can't tell if
   the user logged out or if he's just not typing. They way to track this is to keep a timestamp associated with the 
   username. Then each time the users says something, we update the timestamp. We then can do a time comparison on the
   timestamp and see when the last time that chatted was. For example, lets set the settings to:
     $CONFIG[Chat_Rooms_Expire_Hours]    = "0";
     $CONFIG[Chat_Rooms_Expire_Minutes]  = "15";
     $CONFIG[Chat_Rooms_Expire_Seconds]  = "0";
   Given these settings if user joe was logged into the chat but did not say anything for 15 minutes, he would 
   be logged out. OR if the user just closed there browser window without clicking logout, no other users will be able to 
   login using the username joe untill 15 mintues after that timestamp with his name. Confused? If so just leave this value
   as is, this will expire users if they havent talked for 15 mins. */

$CONFIG[Chat_Rooms_Expire_Hours]    = "0";
$CONFIG[Chat_Rooms_Expire_Minutes]  = "15";
$CONFIG[Chat_Rooms_Expire_Seconds]  = "0";

/* The multiple rooms setting, when set to true, allows users to choose a public room or create public
   rooms. When set to false, users can onyl choose from pre-defined rooms.  
   Remember that each room only allows 20 users, so once the $CONFIG[Chat][Room][Default] room is full, 
   other users will be denied access.  A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Rooms_Multiple] = "true";

/* The private rooms setting, when set to true, allows users to enter private rooms or create private
   rooms. A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Rooms_Private] = "true";

/* The setting when set to true, only allows people to create or enter private rooms. NO public rooms exist.
                    THIS OPTION OVERIDES THE 2 OTHER ^ ABOVE ^ MULTIPLE/PRIVATE ROOM OPTIONS.
   A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Rooms_Only_Private] = "false";

/* The  focus setting is an OPTIONAL javascript function. When enabled, it will automatically place
   the cursor in the text window. Not this will not work for no-javascript capable browsers,  but
   most browsers these days can handle this. A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Rooms_Focus] = "true";


/* The visitors setting sets the number of users allowed into each chat room. Setting this number to high
   will cause problems with users who have small computer screen resolutions. This setting is best left alone. */

$CONFIG[Chat_Rooms_Visitors] = "20";

/* The chat beep function when set will cause the end user to hear a beep when users enter the room. 
   A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Allow_Beep] = "false";

/* The chat smily options simply enables or disables smiles in the chat room.
   A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Allow_Smiles] = "true";

/* The allow register setting lets users register there username. This feature is usefull for regular
   chat users who always use the same name. This feature allows the user to set a password with there
   username so that anyone else logging in with that users name when they are gone will be prompted
   for a password. Incorrect passwords result in that user not being able to chat with that username.
   The $CONFIG[Chat][Register][Allow] setting is a global setting, meaning that it also affects many other features as
   well. Registered users of MWChat can also have buddy lists, personal greetings, the ability
   to see whos online(not including private rooms), and have a chat profile. If the  $CONFIG[Chat][Register][Allow] feature
   is off, all of the above features will not be available.  A value of <true> activates this feature,
   anything else will not. */

$CONFIG[Chat_Register_Allow] = "true";

/* The auto operator setting automatically ops users based on senority. When set to true, the first person to arrive
   in any room is automatically opped. Should that person leave the room, the second person that arrived into
   that room is opped and so on. Much like IRC operators. Remember that wether $CONFIG[Chat][Operator][Auto] is set 
   to true or false, users listed in $CONFIG[Admin][Usernames] above will still be opped upon entrance. 
   A value of <true> activates this feature, anything else will not. */

$CONFIG[Chat_Operator_Auto] = "true";

/* The kick operator setting specifies if room operators can use the /kick command to kick off another operator.
   When set to true, operators can kick other operators.  A value of <true> activates this feature, anything else
   will not. */

$CONFIG[Chat_Operator_Kick] = "true";

/* The background color setting lets you specify the background color of the login, rooms, chat, and options screens.
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Background] = "#B5B69A";

/* The background color setting lets you specify the foreground text color of the login, rooms, chat, and options screens.
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Foreground] = "#000000";

/* The window color setting lets you specify the background color of the chat window. 
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Window] = "#B5B69A";

/* The users color list setting lets you specify the color the usernames of users in the buddy window will appear. 
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Users_List] = "#663333";

/* The users color setting lets you specify the color the usernames of users in the room will apear. 
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Users_Room] = "#0000FF";

/* The users private color setting lets you specify the color the usernames of users sending private usernames. 
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Users_Private] = "#990000";

/* The away color setting lets you specify the color the username will turn when a user is away. 
   The color must be in #000000 format. */

$CONFIG[Chat_Color_Away] = "#999999";

/* The moderator name color setting is the color for the "Moderator:" portion of all GLOBAL moderator messages.
   Global messages are messages that every user in the chat room sees. The color MUST be in #000000 format. */

$CONFIG[Chat_Color_Moderator_Global_Name] = "#FF3300";

/* The moderator text color setting is the color for the moderator text portion of all GLOBAL moderator messages.
   Global messages are messages that every user in the chat room sees. The color MUST be in #000000 format. */

$CONFIG[Chat_Color_Moderator_Global_Message] = "#3333FF";

/* The moderator name color setting is the color for the "Moderator:" portion of all LOCAL moderator messages.
   Local messages are messages that only you the user sees. The color MUST be in #000000 format. */

$CONFIG[Chat_Color_Moderator_Local_Name] = "#666666";

/* The moderator text color setting is the color for the moderator text portion of all LOCAL moderator messages.
   Local messages are messages that only you the user sees. The color MUST be in #000000 format. */

$CONFIG[Chat_Color_Moderator_Local_Message] = "#990099";

/* The chat color test default is the default color the users chat text will appear. Users can always change to a
   color. The color must be in #000000 format. */

$CONFIG[Chat_Color_Text_Default] = "#000000";

/* The chat color text option is a list of all the text colors available to chatting users. This should probally
   be ok, but if not you can change the existing colors or add new ones. Colors MUST be in #000000 format.  */

$CONFIG[Chat_Color_Text] = array(
                             "#000000","#ffffff","#e48c0b","#dc9907","#d3a503","#c9b201","#bdbd00","#b2c901",
                             "#a5d303","#99dc07","#8ce40b","#7eec11","#71f219","#64f621","#58fa2a","#4bfc34",
                             "#40fc3f","#34fc4b","#2afa58","#21f664","#19f271","#11ec7e","#0be48c","#07dc99",
                             "#03d3a5","#01c9b2","#00bebd","#01b2c9","#03a5d3","#0799dc","#0b8ce4","#117fec",
                             "#1971f2","#2164f6","#2a58fa","#344bfc","#3f40fc","#4b34fc","#582afa","#6421f6",
                             "#7119f2","#7e11ec","#8c0be4","#9907dc","#a503d3","#b201c9","#bd00be","#c901b2",
                             "#d303a5","#dc0799","#e40b8c",
                           );


/* End Chat Configuration */


/* MWChat System Variables And Configs - Do Not Adjust */

$CONFIG[System_Version] = "4.0 beta0.7";

include_once("modules/lib/database_connection.php");
include_once("modules/lib/languages.php");
include_once("modules/lib/clean_variables.php");
include_once("modules/lib/generate_errors.php");
include_once("modules/lib/update_status.php");
include_once("modules/lib/process_status.php");
include_once("modules/lib/remove_user_information.php");
include_once("modules/lib/profanity.php");
include_once("modules/lib/post_administrative.php");
include_once("modules/lib/post_public.php");
include_once("modules/lib/post_private.php");
include_once("modules/lib/encryption.php");
include_once("modules/lib/login_security.php");
include_once("modules/lib/registered.php");
include_once("modules/lib/smiles.php");
include_once("modules/lib/authenticated.php");

?>
